Browse Source

Merge branch 'master' of git+ssh://openadk.org/git/openadk

Waldemar Brodkorb 11 years ago
parent
commit
45db37a3d6

+ 1 - 0
package/eglibc/Config.in.manual

@@ -4,6 +4,7 @@ config ADK_PACKAGE_EGLIBC
 	default y if ADK_TARGET_LIB_EGLIBC && !ADK_TOOLCHAIN_ONLY
 	default n
 	depends on ADK_TARGET_LIB_EGLIBC
+	select ADK_PACKAGE_TZDATA
 	help
 	  embedded GNU C library.
 

+ 0 - 1
package/eglibc/Makefile

@@ -9,7 +9,6 @@ PKG_DESCR:=		embedded GNU C library
 PKG_SECTION:=		base
 PKG_OPTS:=		noremove
 PKG_SUBPKGS:=		EGLIBC EGLIBC_DEV EGLIBC_STATIC
-PKG_DEPENDS:=		tzdata
 
 NO_DISTFILES:=		1
 

+ 1 - 0
package/glibc/Config.in.manual

@@ -4,6 +4,7 @@ config ADK_PACKAGE_GLIBC
 	default y if ADK_TARGET_LIB_GLIBC && !ADK_TOOLCHAIN_ONLY
 	default n
 	depends on ADK_TARGET_LIB_GLIBC
+	select ADK_PACKAGE_TZDATA
 	help
 	  GNU C library.
 

+ 0 - 1
package/glibc/Makefile

@@ -14,7 +14,6 @@ PKG_VER:=		2.16
 PKG_SECTION:=		base
 PKG_OPTS:=		noremove
 PKG_SUBPKGS:=		GLIBC GLIBC_DEV GLIBC_STATIC
-PKG_DEPENDS:=		tzdata
 
 NO_DISTFILES:=		1
 

+ 30 - 0
package/polipo/Makefile

@@ -0,0 +1,30 @@
+# This file is part of the OpenADK project. OpenADK is copyrighted
+# material, please see the LICENCE file in the top-level directory.
+
+include $(TOPDIR)/rules.mk
+
+PKG_NAME:=		polipo
+PKG_VERSION:=		1.0.4.1
+PKG_RELEASE:=		1
+PKG_MD5SUM:=		bfc5c85289519658280e093a270d6703
+PKG_DESCR:=		HTTP 1.1 proxy with Socks5 support
+PKG_SECTION:=		proxy
+PKG_URL:=		http://www.pps.univ-paris-diderot.fr/~jch/software/polipo/
+PKG_SITES:=		http://freehaven.net/~chrisd/polipo/
+
+include $(TOPDIR)/mk/package.mk
+
+$(eval $(call PKG_template,POLIPO,polipo,$(PKG_VERSION)-${PKG_RELEASE},${PKG_DEPENDS},${PKG_DESCR},${PKG_SECTION}))
+
+CONFIG_STYLE=		manual
+FAKE_FLAGS+=		TARGET=${WRKINST}
+
+polipo-install:
+	$(INSTALL_DIR) $(IDIR_POLIPO)/etc/polipo
+	$(INSTALL_DATA) ./files/config \
+		$(IDIR_POLIPO)/etc/polipo
+	$(INSTALL_DIR) $(IDIR_POLIPO)/usr/bin
+	$(INSTALL_BIN) $(WRKINST)/usr/local/bin/polipo \
+		$(IDIR_POLIPO)/usr/bin
+
+include ${TOPDIR}/mk/pkg-bottom.mk

+ 153 - 0
package/polipo/files/config

@@ -0,0 +1,153 @@
+# Sample configuration file for Polipo. -*-sh-*-
+
+# You should not need to use a configuration file; all configuration
+# variables have reasonable defaults.  If you want to use one, you
+# can copy this to /etc/polipo/config or to ~/.polipo and modify.
+
+# This file only contains some of the configuration variables; see the
+# list given by ``polipo -v'' and the manual for more.
+
+daemonise = true
+
+### Basic configuration
+### *******************
+
+# Uncomment one of these if you want to allow remote clients to
+# connect:
+
+# proxyAddress = "::0"        # both IPv4 and IPv6
+# proxyAddress = "0.0.0.0"    # IPv4 only
+
+# If you do that, you'll want to restrict the set of hosts allowed to
+# connect:
+
+# allowedClients = "127.0.0.1, 134.157.168.57"
+# allowedClients = "127.0.0.1, 134.157.168.0/24"
+
+# Uncomment this if you want your Polipo to identify itself by
+# something else than the host name:
+
+# proxyName = "polipo.example.org"
+
+# Uncomment this if there's only one user using this instance of Polipo:
+
+# cacheIsShared = false
+
+# Uncomment this if you want to use a parent proxy:
+
+# parentProxy = "squid.example.org:3128"
+
+# Uncomment this if you want to use a parent SOCKS proxy:
+
+# socksParentProxy = "localhost:9050"
+# socksProxyType = socks5
+
+
+### Memory
+### ******
+
+# Uncomment this if you want Polipo to use a ridiculously small amount
+# of memory (a hundred C-64 worth or so):
+
+# chunkHighMark = 819200
+# objectHighMark = 128
+
+# Uncomment this if you've got plenty of memory:
+
+# chunkHighMark = 50331648
+# objectHighMark = 16384
+
+
+### On-disk data
+### ************
+
+# Uncomment this if you want to disable the on-disk cache:
+
+# diskCacheRoot = ""
+
+# Uncomment this if you want to put the on-disk cache in a
+# non-standard location:
+
+# diskCacheRoot = "~/.polipo-cache/"
+
+# Uncomment this if you want to disable the local web server:
+
+# localDocumentRoot = ""
+
+# Uncomment this if you want to enable the pages under /polipo/index?
+# and /polipo/servers?.  This is a serious privacy leak if your proxy
+# is shared.
+
+# disableIndexing = false
+# disableServersList = false
+
+
+### Domain Name System
+### ******************
+
+# Uncomment this if you want to contact IPv4 hosts only (and make DNS
+# queries somewhat faster):
+
+# dnsQueryIPv6 = no
+
+# Uncomment this if you want Polipo to prefer IPv4 to IPv6 for
+# double-stack hosts:
+
+# dnsQueryIPv6 = reluctantly
+
+# Uncomment this to disable Polipo's DNS resolver and use the system's
+# default resolver instead.  If you do that, Polipo will freeze during
+# every DNS query:
+
+# dnsUseGethostbyname = yes
+
+
+### HTTP
+### ****
+
+# Uncomment this if you want to enable detection of proxy loops.
+# This will cause your hostname (or whatever you put into proxyName
+# above) to be included in every request:
+
+# disableVia=false
+
+# Uncomment this if you want to slightly reduce the amount of
+# information that you leak about yourself:
+
+# censoredHeaders = from, accept-language
+# censorReferer = maybe
+
+# Uncomment this if you're paranoid.  This will break a lot of sites,
+# though:
+
+# censoredHeaders = set-cookie, cookie, cookie2, from, accept-language
+# censorReferer = true
+
+# Uncomment this if you want to use Poor Man's Multiplexing; increase
+# the sizes if you're on a fast line.  They should each amount to a few
+# seconds' worth of transfer; if pmmSize is small, you'll want
+# pmmFirstSize to be larger.
+
+# Note that PMM is somewhat unreliable.
+
+# pmmFirstSize = 16384
+# pmmSize = 8192
+
+# Uncomment this if your user-agent does something reasonable with
+# Warning headers (most don't):
+
+# relaxTransparency = maybe
+
+# Uncomment this if you never want to revalidate instances for which
+# data is available (this is not a good idea):
+
+# relaxTransparency = yes
+
+# Uncomment this if you have no network:
+
+# proxyOffline = yes
+
+# Uncomment this if you want to avoid revalidating instances with a
+# Vary header (this is not a good idea):
+
+# mindlesslyCacheVary = true

+ 1 - 0
package/polipo/files/polipo.conffiles

@@ -0,0 +1 @@
+/etc/polipo/config

+ 27 - 0
package/polipo/files/polipo.init

@@ -0,0 +1,27 @@
+#!/bin/sh
+#PKG polipo
+#INIT 85
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+	test x"${polipo:-NO}" = x"NO" && exit 0
+	exec sh $0 start
+	;;
+start)
+	/usr/bin/polipo
+	;;
+stop)
+	kill -15 $(pgrep -f /usr/bin/polipo)
+	;;
+restart)
+	sh $0 stop
+	sh $0 start
+	;;
+*)
+	echo "Usage: $0 {start | stop | restart}"
+	exit 1
+	;;
+esac
+exit $?

+ 3 - 0
package/polipo/files/polipo.postinst

@@ -0,0 +1,3 @@
+#!/bin/sh
+. $IPKG_INSTROOT/etc/functions.sh
+add_rcconf polipo polipo NO

+ 11 - 0
package/polipo/patches/patch-Makefile

@@ -0,0 +1,11 @@
+--- polipo-1.0.4.1.orig/Makefile	2010-02-01 00:13:20.000000000 +0100
++++ polipo-1.0.4.1/Makefile	2013-07-22 18:06:28.000000000 +0200
+@@ -63,7 +63,7 @@ FILE_DEFINES = -DLOCAL_ROOT=\"$(LOCAL_RO
+ 
+ DEFINES = $(FILE_DEFINES) $(PLATFORM_DEFINES)
+ 
+-CFLAGS = $(MD5INCLUDES) $(CDEBUGFLAGS) $(DEFINES) $(EXTRA_DEFINES)
++CFLAGS ?= $(MD5INCLUDES) $(CDEBUGFLAGS) $(DEFINES) $(EXTRA_DEFINES)
+ 
+ SRCS = util.c event.c io.c chunk.c atom.c object.c log.c diskcache.c main.c \
+        config.c local.c http.c client.c server.c auth.c tunnel.c \